#
# spec file for package nodejs-packaging
#
# Copyright (c) 2015 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           nodejs-packaging
Version:        7
Release:        7.1
Summary:        RPM Macros and Utilities for Node.js Packaging
License:        MIT
Group:          Development/Languages/Other
Url:            http://pkgs.fedoraproject.org/cgit/nodejs-packaging.git
Source:         https://fedorahosted.org/released/%{name}/%{name}-fedora-%{version}.tar.xz
Patch:          %{name}-compat-opensuse.patch
Patch1:         %{name}-compat-opensuse-pre1320.patch
BuildArch:      noarch
Requires:       nodejs
Requires:       nodejs-npm
Requires:       python
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
RPM macros and support scripts for packaging Node.js modules.

%prep
%setup -q -n %{name}-fedora-%{version}
%if 0%{?suse_version} >= 1320
%patch -p1
%else
%define         _rpmconfigdir %{_prefix}/lib/rpm
%patch1 -p1
%endif

%build
%install
mkdir -p %{buildroot}%{_sysconfdir}/rpm
mkdir -p %{buildroot}%{_rpmconfigdir}
mkdir -p %{buildroot}%{_datadir}/node
# 13.2's nodejs-devel package has a /etc/rpm/macros.nodejs
%if 0%{?suse_version} == 1320
install -m0644 macros.nodejs %{buildroot}%{_sysconfdir}/rpm/macros.%{name}
%else
install -m0644 macros.nodejs %{buildroot}%{_sysconfdir}/rpm/macros.nodejs
%endif
%if 0%{?suse_version} >= 1320
mkdir -p %{buildroot}%{_rpmconfigdir}/fileattrs
install -m0644 nodejs.attr %{buildroot}%{_rpmconfigdir}/fileattrs/nodejs.attr
%endif
install -m0755 nodejs.prov %{buildroot}%{_rpmconfigdir}/nodejs.prov
install -m0755 nodejs.req %{buildroot}%{_rpmconfigdir}/nodejs.req
install -m0755 nodejs-symlink-deps %{buildroot}%{_rpmconfigdir}/nodejs-symlink-deps
install -m0755 nodejs-fixdep %{buildroot}%{_rpmconfigdir}/nodejs-fixdep
install -m0644 multiver_modules %{buildroot}%{_datadir}/node/multiver_modules

%files
%defattr(-,root,root)
%doc LICENSE
%if 0%{?suse_version} == 1320
%config %{_sysconfdir}/rpm/macros.%{name}
%else
%config %{_sysconfdir}/rpm/macros.nodejs
%endif
%if 0%{?suse_version} >= 1320
%{_rpmconfigdir}/fileattrs/nodejs*.attr
%endif
%{_rpmconfigdir}/nodejs*
%dir %{_datadir}/node
%{_datadir}/node/multiver_modules

%changelog
* Wed Jul 29 2015 marec@detebe.org
- adding %%nodejs_install macro for version 1320+
* Sat Jul  4 2015 i@marguerite.su
- update version 7
- set fedora scm as its upstream url
- no conditional source
  * add patch: nodejs-packaging-compat-opensuse-pre1320.patch
  * add patch: nodejs-packaging-compat-opensuse.patch
  * drop patch: nodejs-packaging-pre1320-macros.patch
- rename the macros file only on specific version of openSUSE
* Wed Jan 28 2015 marec@detebe.org
- changed name of rpm macro file in order to prevent conflict with
  rpm macro from some versions of nodejs package with same filename
- added macro definitions from nodejs package to this rpm macro file
  because they are missing in some versions of nodejs package
- added patch: nodejs-packaging-pre1320-macros.patch
* Fri Oct 17 2014 dimstar@opensuse.org
- Don't use conditional Sources: we want to get uniform src.rpms
  that can be re-used. Do the condition in the %%prep section, where
  the specifically chosen tarball is extracted.
* Fri Oct 17 2014 jgleissner@suse.com
- require nodejs to make sure /usr/lib/node_modules is owned (may
  break build of module packages otherwise)
* Fri Oct 17 2014 jgleissner@suse.com
- removed use of %%nodejs_find_provides_and_requires macro (was
  added by accident)
* Thu Oct  9 2014 jgleissner@suse.com
- use nodejs-packaging for building
* Tue Oct  7 2014 jgleissner@suse.com
- added %%nodejs_modulesdir to macros.nodejs for older releases
* Tue Oct  7 2014 jgleissner@suse.com
- explicitely require Python
* Mon Oct  6 2014 jgleissner@suse.com
- initial check-in
